@import url("https://cdn.jsdelivr.net/npm/bootstrap-icons@1.10.5/font/bootstrap-icons.css");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
html {
  font-size: 1rem;
  overflow-x: hidden !important;
  font-family: 'Poppins', sans-serif;
}
body {
  font-family: 'Poppins', sans-serif;
  font-size: 1rem;
  overflow-x: hidden !important;
}
img {
  max-width: 100%;
  height: auto;
}
a {
  text-decoration: none !important;
}

:root {
  --primary-color: #5A42A1;
  --secondary-color: #FF5733;
  --third-color: #02B088;
  --fourth-color: #B0024C;
}

/**********************************************
                Scrolling
**********************************************/
.scrolling-hz {
  max-width: 100%;
  height: 40px;
  padding: 0 30px;
  margin: 7px auto;
  position: relative;
  overflow: hidden;
}
a.navbar-brand {
  font-weight: 800;
  font-size: 2rem;
  color: #000;
}
.navbar-nav {
  height: 100%;
  overflow: auto;
  white-space: nowrap;
}
.navbar.nav-second.fixed-header {
  display: none;
}
.nav-scroll{
  padding: 15px 0;
  overflow: hidden;
}
.scrolling-hz .navbar-nav .nav-link {
  display: inline-block;
  font-size: 1rem;
  line-height: 1;
  padding: 0 15px;
}
.pointer {
  height: 40px;
  width: 30px;
  line-height: 38px;
  text-align: center;
  position: absolute;
  top: 5px;
}
.pointer i {
  color: #000;
  cursor: pointer;
}
.left-pointer {
  left: 0;
}
.right-pointer {
  right: 0;
}
.dis i {
  color: #ccc;
}


/**********************************************
                    Slider
**********************************************/
#slide {
  position: relative; 
  min-height: 40vh; 
}
#slide h1 {
  font-weight: 800;
  font-size: 40px;
  color: #fff;
  z-index: 1;
}
#slide span {
  font-weight: 400;
  color: #fff;
}

.bg-slide {
  position: absolute; 
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover; 
  z-index: -1; 
}
#slide .overlay {
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  background-image: linear-gradient(90deg,rgba(0,0,0,.5) 30%,transparent);
  min-height: 40vh;
}
#slide .box-name-top{
  position: absolute;
  top: 0;
  left: 40%;
  color: white;
  background: #00000075;
  padding: 0.5rem 4rem;
  border-bottom-left-radius: 10px;
  border-bottom-right-radius: 10px;
  align-self: center;
  margin-bottom: 0;
  font-weight: 800;
}
#slide .box-name-bottom{
  position: absolute;
  bottom: 0;
  left: 40%;
  color: white;
  background: #00000075;
  padding: 0.5rem 4rem;
  border-top-left-radius: 10px;
  border-top-right-radius: 10px;
  align-self: center;
  margin-bottom: 0;
  font-weight: 800;
}

/**********************************************
                    Header
**********************************************/

.fixed-header {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%; 
  background: rgba(255, 255, 255, 0.46);
  box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
  backdrop-filter: blur(10.4px);
  -webkit-backdrop-filter: blur(10.4px);
  border: 0px !important;
  z-index: 10;
}


/* Flash New */
#header .flash {
  background: #EEECEC;
}
#header .flash span {
  background: #5A42A1;
  color: #fff;
  padding: 0.7rem 3.8rem;
  z-index: 1;
}
#header .flash p {
  margin-left: 1rem;
  margin-bottom: 0px !important;
}
/* Animation Flash News */

#header .news {
  overflow: hidden;
  position: relative;
}
#header .scrolling-text {
  position: absolute;
  white-space: nowrap;
  animation: scrollLeft 15s linear infinite; 
}
@keyframes scrollLeft {
  0% {
    transform: translateX(100%);
  }
  100% {
    transform: translateX(-100%);
  }
}

#header .close-button {
  position: absolute;
  background: var(--primary-color) !important;
  top: -5px;
  right: 0;
  background: none;
  border: none;
  cursor: pointer;
  font-weight: 700;
  font-size: 1.5rem;
  padding: 0.7rem;
  color: #fff;
}




#header .navbar .navbar-brand i {
  font-weight: 800;
  font-size: 22px;
}
#header .logo {
  font-weight: 800;
  font-size: 2rem;
  color: #000;
}
#header .navbar .another-menu-icon i {
  margin-left: 2rem;
  color: #000;
  font-weight: 800;
  font-size: 20px;
}
#header .navbar {
  border: 1px solid #f4f4f4;
}

#header .sidenav {
  height: 100%;
  width: 0; 
  position: fixed; 
  z-index: 10; 
  top: 0; 
  left: 0;
  background-color: #fff;
  overflow-x: hidden; 
  padding-top: 60px; 
  transition: 0.5s; 
  box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
}
#header .sidenav h1 {
  font-weight: 700;
  font-size: 1.3rem;
  margin-top: -2.3rem;
  margin-left: 2rem;
}
#header .sidenav .title-menu {
  border: 1px solid #f4f4f4;
}
#header .sidenav a {
  padding: 8px 8px 8px 32px;
  text-decoration: none;
  font-size: 20px;
  color: #000;
  display: block;
  transition: all .3s ease-out;
}
#header .sidenav a:hover {
  color: #000;
  margin-left: 2rem;
  text-decoration: underline !important;
  transition: all .3s ease-out;
}
#header .sidenav .closebtn {
  position: absolute;
  top: 0;
  right: 25px;
  font-size: 30px;
  margin-left: 50px;
}
#header .sidenav a.closebtn:hover {
  text-decoration: none !important;
}
#header .sidenavsearch {
  height: 100%;
  width: 0;
  position: fixed;
  z-index: 10;
  top: 0;
  right: 0;
  background-color: #fff;
  overflow-x: hidden;
  transition: 0.5s;
  padding-top: 60px;
  box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
}
#header .sidenavsearch h3{
  position: absolute;
  top: 25px;
  left: 25px;
  font-size: 1rem;
  font-weight: 600;
  padding: 0 3rem;
}

#header .sidenavsearch .closebtn {
  position: absolute;
  top: 0;
  right: 80px;
  font-size: 36px;
  margin-left: 50px;
  color: var(--background);
}
.sidenavsearch .search-bar {
  padding: 2rem 4rem;
}
.sidenavsearch .search-bar .form-control {
  height: 50px;
  border-radius: 30px;
}
.sidenavsearch .search-bar .form-control:focus {
  outline: 0;
  box-shadow: none;
  border-color: #a9a7a7;
}
.sidenavsearch .search-bar i {
  position: absolute;
  right: 100px;
  top: 107px;
  color: var(--background);
}
#header .sidenavsearch .results-search .results h4 {
  font-weight: 400;
  font-size: 18px;
}
#header .sidenavsearch .results-search .results h4 >span {
  margin-right: 12px;
  font-weight: 600;
  color: var(--primary-color);
}
#header .sidenavsearch .results-search .results {
  padding: 1rem 4rem;
}
#header .sidenavsearch .results-search .results .price span {
  font-weight: 600;
  color: #5A42A1;
  margin-right: 30px;
}
#header .sidenavsearch .results-search p {
  margin-left: 4.3rem;
}


#header .hidden-nav {
  display: none;
}

/**********************************************
                    Bracket float
**********************************************/
.float{
	position:fixed;
	width:60px;
	height:60px;
  top: 80%;
	bottom:40px;
	right:40px;
	background-color:var(--primary-color);
	color:#FFF;
	border-radius:50px;
	text-align:center;
	box-shadow: 2px 2px 3px #999;
}

.my-float{
	font-size: 2rem;
}
.results-search .results .desc a {
  color: #000;
}
.results-search .results .desc a:hover {
  text-decoration: underline !important;
}


/**********************************************
                    Menus
**********************************************/

.menu h2 {
  font-weight: 700 !important;
  font-size: 40px !important;
  margin-bottom: 2rem  !important;
}
.box {
  margin-bottom: 20px;
  border-radius: 10px;
  height: 145px;
  overflow: hidden;
  background: #FFF;
  box-shadow: 0px 10px 30px 0px rgba(103, 103, 103, 0.12);
}
.box img {
  width: 200% !important;
  height: 145px;  
  display: block;
  padding: 0px;
  object-fit: cover;
}
.box .box-content{
  padding: 16px 0 16px 30px;
  color: #000;
}
.box h3 {
  font-weight: 700;
  font-size: 1.2rem;
}
.box p {
  font-weight: 300;
  line-height: 25px;
  max-width: 600px;
}
.box span {
  font-weight: 600;
  font-size: 1rem;
  color: var(--primary-color);
}
.box .img-plats img {
  border-top-right-radius: 10px;
  border-bottom-right-radius: 10px;
}
.box .truncate-text {
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
  width: 230px;
}
#single .content-row img {
  border-radius: 10px;
}
#single .content-row h2 {
  font-weight: 700;
  font-size: 25px;
  margin-top: 20px;
  margin-bottom: 20px;
  max-width: 600px;
}
#single .content-row span {
  color: var(--primary-color);
  font-weight: 500;
  font-size: 18px;
}
#single p {
  max-width: 600px;
  text-align: justify;
  margin-top: 20px;
}
#single .box {
  background: #fff;
  padding: 16px 20px;
  box-shadow: 0px 10px 30px 0px rgba(103, 103, 103, 0.12);
}
#single .box .title h4 {
  font-weight: 700;
  font-size: 16px;
}
#single .box .title-option h4{
  font-size: 16px;
  font-weight: 600;
  text-transform: uppercase;
}
#single .box .option {
  background: #EEECEC;
  padding: 4px 15px;
  border-radius: 10px;
}
#single .box .option span {
  font-size: 12px;
  font-weight: 400;
}
.form-check-input[type=checkbox] {
  border: 1px solid #656464;
}



/**********************************************
                  Orders
**********************************************/
.logo h1{
  font-weight: 800;
  font-size: 2rem;
}
.logo h1 a {
  color: #000;
}

#order h1 {
  font-weight: 700;
  font-size: 40px;
}
.orders {
  border-right: 1px solid #EEECEC;
}
#order .order-box {
  margin-top: 2rem;
}
#order .img-order img {
  max-width: 150px;
  border-radius: 10px;
}
#order .content-order h3 {
  font-weight: 600;
  font-size: 1.3rem;
  margin-top: 12px;
}
#order .content-order p {
  font-weight: 300;
  font-size: 12px;
}
#order .wrapper{
  height: 25px;
  min-width: 80px;
  display: flex;
  align-items: center;
  justify-content: center;
  background: #FFF;
  border-radius: 10px;
  box-shadow: 0 5px 10px rgba(0,0,0,0.2);
}
#order .wrapper span{
  width: 100%;
  text-align: center;
  font-size: 16px;
  font-weight: 600;
  cursor: pointer;
  user-select: none;
}
#order .wrapper span.num{
  font-size: 10px;
  border-right: 2px solid rgba(0,0,0,0.2);
  border-left: 2px solid rgba(0,0,0,0.2);
  pointer-events: none;
}

#order .total-price .title,
#order .total-price .price {
  font-weight: 600;
  font-size: 20px;
}
#order .total-price {
  padding: 30px 0;
  border-bottom: 1px solid #999;
}
#order .sub-total {
  padding: 10px 0;
  border-top: 1px solid #999;
}
#order .orders-items .order-item {
  margin-bottom: 25px;
}
#order .orders-items .order-item span {
  padding: 4px 10px;
  margin-right: 10px;
  border: 1px solid #999;
}
.price-item {
  margin-top: -24px;
}
/******************************************
                Footer
******************************************/

#footer {
  background: #F8F8F8;
}

#footer .dropdown-menu[data-bs-popper] {
  border-radius: 3px !important;
}
#footer .dropdown i {
  font-size: 24px;
  color: #000;
}


/**********************************************
            List Menu without pictures
**********************************************/

.menu-dish {
  display: block;
  margin: 25px 0;
}
.menu-dish .menu-desc {
  font-weight: 300;
  font-size: 14px;
  margin: O;
}
.menu-dish .menu-info {
  position: relative;
  display: flex;
  justify-content: space-between;
  align-items: flex-end;
}
.menu-dish .menu-info .title-menu  {
  flex-grow: 0;
  display: flex;
  align-items: center;
  margin-right: 10px;
  background-color: #FFF;
  z-index: 1;
}
.menu-dish .menu-info .title-menu h3 {
  font-weight: 700;
  font-size: 1.2rem;
}
.menu-dish .menu-info .separator {
  height: 1px;
  width: 100%;
  position: absolute;
  left: 0;
  bottom: 4px;
  background: #EEECEC;
}
.menu-dish .menu-info .price-menu {
  flex-shrink: 0;
  padding-left: 10px;
  background-color: #FFF;
  z-index: 2;
}
.menu-dish .menu-info .price-menu .price-wrap {
  display: flex;
  justify-content: flex-end;
  align-items: center;
}
.menu-dish .menu-info .price-menu .price-wrap span {
  font-weight: 600;
  font-size: 1rem;
  color: var(--primary-color);
}



/******************************************
                    Medias Query
******************************************/

@media (max-width: 576px) { 
  #header .flash span {
    font-size: 10px;
    padding: 0.7rem 0.4rem;
  }
  #header .close-button {
    font-size: 16px;
    top: -4px;
  }

  .box {
    height: auto;
    flex-direction: column;
  }
  .box .img-plats {
    order: -1;
    margin-bottom: 15px; /* Ajoutez une marge entre l'image et le texte */
  }
  .box img {
    width: 100% !important;
    height: auto;
    border-top-left-radius: 10px; 
    border-top-right-radius: 10px; 
    border-bottom-right-radius: 0px !important;
  }
  .box .box-content {
    padding: 16px 0 16px 16px;
  }
  .offset-1 {
    margin-left: 0% !important;
  }
  .box {
    margin: 0 1rem 1rem;
  }
  .box h3 {
    font-weight: 400;
    font-size: 14px;
  }
  .box p {
    font-size: 12px;
    line-height: 13px;
  }
  .box .box-content {
    position: relative;
  }
  .box  .box-content span {
    position: absolute;
    font-size: 12px;
    margin-top: -85px;
    background: #fff;
    padding: 10px;
    border-radius: 10px;
    box-shadow: 0px 10px 30px 0px rgba(103, 103, 103, 0.12);
    transform: rotate(0deg);
    top: 50px;
    right: 15px;
  }
  .sidenav {padding-top: 15px;}
  .sidenav a {font-size: 18px;}
  #order .offset-3 {
    margin-left: 0% !important;
    padding: 0 25px;
  }
  .sidenavsearch .search-bar {
    padding: 2rem 1rem;
  }
  .sidenavsearch .search-bar i {
    right: 10%;
  }
  #header .sidenavsearch .results-search .results {
    padding: 1rem;
  }
  .box-content a {
    font-size: 12px;
  }

  .nav-scroll {
    flex-direction: row !important;
    white-space: nowrap;
    overflow-x: auto;
    -webkit-overflow-scrolling: touch;
  }

  .nav-scroll .nav-link {
    display: inline-block;
  }

  .nav-scroll .navbar-toggler {
    display: none; 
  }
  .scrolling-hz .collapse:not(.show) {
    display: block;
  }
  .navbar-snd .navbar-toggler  {
    display: none;
  }

  .collapse:not(.show) {
  display: block;
  }
  #slide .box-name-top,
  #slide .box-name-bottom {
    transform: translateX(-50px);
    padding: 0.5rem 1rem;
  }
  #single .box {
    margin: 0 0 1rem;
  }
}


@media (max-width: 768px) { 

}


@media (max-width: 992px) { 

}


@media (max-width: 1200px) { 

}


@media (max-width: 1400px) { 
  
}

@media (min-width: 1920px) { 

 
}
